Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.responsehandlers
Class BlockingGetIdsResponseHandler

    java.lang.Object
      org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
          org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler
              org.jbpm.task.service.responsehandlers.BlockingGetIdsResponseHandler

All Implemented Interfaces:
  TaskClientHandler.GetIdsResponseHandler, org.kie.internal.task.service.ResponseHandler

    public class BlockingGetIdsResponseHandler

extends AbstractBlockingResponseHandler
implements TaskClientHandler.GetIdsResponseHandler

Constructor Summary
`BlockingGetIdsResponseHandler()`

Method Summary
`void` | `execute(List<Long> ids)`
`List<Long>` | `getIds()`
`List<Long>` | `getIds(int waitTime)`

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler
`waitTillDone`

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
`createSideException, getError, hasError, isDone, setDone, setError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.internal.task.service.ResponseHandler
`setError`

Constructor Detail

### BlockingGetIdsResponseHandler

    public BlockingGetIdsResponseHandler()

Method Detail

### execute

    public void execute(List<Long> ids)

  Specified by:
    `execute` in interface `TaskClientHandler.GetIdsResponseHandler`

### getIds

    public List<Long> getIds()

### getIds

    public List<Long> getIds(int waitTime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.